package
{
   import flash.system.ApplicationDomain;
   import flash.system.Security;
   import flash.utils.Dictionary;
   import mx.core.EmbeddedFontRegistry;
   import mx.core.FlexVersion;
   import mx.core.IFlexModule;
   import mx.core.IFlexModuleFactory;
   import mx.managers.SystemManager;
   
   public class _BankSmakow_mx_managers_SystemManager extends SystemManager implements IFlexModuleFactory
   {
       
      
      private var _preloadedRSLs:Dictionary;
      
      public function _BankSmakow_mx_managers_SystemManager()
      {
         FlexVersion.compatibilityVersionString = "3.0.0";
         super();
      }
      
      override public function create(... rest) : Object
      {
         if(rest.length > 0 && !(rest[0] is String))
         {
            return super.create.apply(this,rest);
         }
         var _loc2_:String = rest.length == 0 ? "BankSmakow" : String(rest[0]);
         var _loc3_:Class = Class(getDefinitionByName(_loc2_));
         if(!_loc3_)
         {
            return null;
         }
         var _loc4_:Object;
         if((_loc4_ = new _loc3_()) is IFlexModule)
         {
            IFlexModule(_loc4_).moduleFactory = this;
         }
         if(rest.length == 0)
         {
            EmbeddedFontRegistry.registerFonts(info()["fonts"],this);
         }
         return _loc4_;
      }
      
      override public function allowInsecureDomain(... rest) : void
      {
         var _loc2_:* = null;
         Security.allowInsecureDomain(rest);
         for(_loc2_ in _preloadedRSLs)
         {
            if(_loc2_.content && "allowInsecureDomainInRSL" in _loc2_.content)
            {
               _loc2_.content["allowInsecureDomainInRSL"](rest);
            }
         }
      }
      
      override public function info() : Object
      {
         return {
            "compiledLocales":["en_US"],
            "compiledResourceBundleNames":["CairngormMessages","collections","containers","controls","core","effects","formatters","skins","styles"],
            "creationComplete":"checkUpdate(event)",
            "currentDomain":ApplicationDomain.currentDomain,
            "fonts":{
               "Myriad":{
                  "regular":true,
                  "bold":false,
                  "italic":false,
                  "boldItalic":false
               },
               "Segoe":{
                  "regular":true,
                  "bold":true,
                  "italic":false,
                  "boldItalic":false
               }
            },
            "height":"790",
            "horizontalScrollPolicy":"off",
            "layout":"absolute",
            "mainClassName":"BankSmakow",
            "mixins":["_BankSmakow_FlexInit","_alertButtonStyleStyle","_ScrollBarStyle","_winMaxButtonStyle","_ToolTipStyle","_winCloseButtonStyle","_macCloseButtonStyle","_comboDropdownStyle","_CheckBoxStyle","_gripperSkinStyle","_winRestoreButtonStyle","_ListBaseStyle","_globalStyle","_PanelStyle","_windowStylesStyle","_activeButtonStyleStyle","_errorTipStyle","_CursorManagerStyle","_dateFieldPopupStyle","_dataGridStylesStyle","_AlertStyle","_macMinButtonStyle","_ControlBarStyle","_activeTabStyleStyle","_textAreaHScrollBarStyleStyle","_TreeStyle","_DragManagerStyle","_statusTextStyleStyle","_WindowedApplicationStyle","_HTMLStyle","_ContainerStyle","_textAreaVScrollBarStyleStyle","_linkButtonStyleStyle","_windowStatusStyle","_WindowStyle","_richTextEditorTextAreaStyleStyle","_todayStyleStyle","_TextInputStyle","_plainStyle","_winMinButtonStyle","_macMaxButtonStyle","_ApplicationStyle","_SWFLoaderStyle","_headerDateTextStyle","_ButtonStyle","_popUpMenuStyle","_titleTextStyleStyle","_opaquePanelStyle","_swatchPanelTextFieldStyle","_weekDayStyleStyle","_headerDragProxyStyleStyle","_com_makingwaves_view_NotificationViewWatcherSetupUtil","_com_makingwaves_view_BackgroundViewWatcherSetupUtil","_com_makingwaves_components_RecipeListItemRendererWatcherSetupUtil","_com_makingwaves_view_MainViewWatcherSetupUtil","_com_makingwaves_view_RecipeViewWatcherSetupUtil"],
            "remove":"onRemove(event)",
            "showFlexChrome":"false",
            "showStatusBar":"false",
            "showTitleBar":"false",
            "verticalScrollPolicy":"off",
            "width":"925",
            "windowComplete":"onWindowComplete(event)"
         };
      }
      
      override public function get preloadedRSLs() : Dictionary
      {
         if(_preloadedRSLs == null)
         {
            _preloadedRSLs = new Dictionary(true);
         }
         return _preloadedRSLs;
      }
      
      override public function allowDomain(... rest) : void
      {
         var _loc2_:* = null;
         Security.allowDomain(rest);
         for(_loc2_ in _preloadedRSLs)
         {
            if(_loc2_.content && "allowDomainInRSL" in _loc2_.content)
            {
               _loc2_.content["allowDomainInRSL"](rest);
            }
         }
      }
   }
}
